class MainMenu {
  int fillPlayButton;
  int fillMenuButton;
  boolean isSettingsClick = false;
  boolean isPlayGame = false;
  boolean isSettings = false;
  boolean isDead = false;
  PFont comic;
  SettingsJSON settings;
  void draw() {
    settings = new SettingsJSON();
    settings.loadSettings();
    surface.setTitle("Menu");
    isPlayGame = false;
    isSettings = false;
    isDead = false;
    // Fond
    if (settings.darkMode) {
      background(38, 38, 38);
    } else {
      background(255);
    }
    // Rectangle pour jouer
    rectMode(CENTER);
    fill(fillPlayButton);
    if (settings.darkMode) {
      stroke(255);
      //fill(38,38,38);
    } else {
      stroke(0);
      //fill(255);
    }
    rect(width / 3, height / 2 + 100, width/2.666666667, height/8);
    // Rectangle pour paramètres
    strokeWeight(1);
    if (settings.darkMode) {
      stroke(255);
      //fill(38,38,38);
    } else {
      stroke(0);
      //fill(255);
    }
    fill(fillMenuButton);
    rect(width - width / 3, height / 2 + 100, width/2.666666667, height/8);

    textAlign(CENTER);
    //comic = createFont("COMIC.TTF", 20);
    textSize((width/2.666666667)/3.5);
    //textFont(comic);
    if (settings.darkMode) {
      fill(255);
    } else {
      fill(0);
    }
    text("Jouer", width / 3, height / 2 + 112);
    //comic = createFont("COMIC.TTF", 55);

    //textFont(comic);
    textSize((width/2.666666667)/6);
    text("Paramètres", width - width / 3, height / 2 + 112);

    if (mouseX < width / 2 && mouseX > width/2-width/2.666666667 && mouseY > height / 2 + 50 && mouseY < height / 2 + 150) {// Bouton Gauche
      if (settings.darkMode) {
        fillPlayButton+=5;
        fillMenuButton-=5;
      } else {
        fillPlayButton-=5;
        fillMenuButton+=5;
      }
    } else if (mouseX > width / 2 && mouseX < width/2+width/2.666666667&& mouseY > height / 2 + 50 && mouseY < height / 2 + 150) {
      if (settings.darkMode) {
        fillMenuButton+=5;
        fillPlayButton-=5;
      } else {
        fillMenuButton-=5;
        fillPlayButton+=5;
      }
    } else {
      if (settings.darkMode) {
        fillMenuButton-=5;
        fillPlayButton-=5;
      } else {
        fillPlayButton+=5;
        fillMenuButton+=5;
      }
    }
    //if (mouseX > width / 2 && mouseY > height / 2 + 50 && mouseY < height / 2 + 150) {// Bouton droit
    //     isSettings = true;
    //}

    if (fillPlayButton > 127 && settings.darkMode) {
      fillPlayButton = 127;
    }
    if (fillPlayButton < 38 && settings.darkMode) {
      fillPlayButton = 38;
    }
    if (fillPlayButton < 127 && !settings.darkMode) {
      fillPlayButton = 127;
    }
    if (fillPlayButton > 255 && !settings.darkMode) {
      fillPlayButton = 255;
    }

    if (fillMenuButton < 38 && settings.darkMode) {
      fillMenuButton = 38;
    }
    if (fillMenuButton > 127 && settings.darkMode) {
      fillMenuButton = 127;
    }
    if (fillMenuButton < 127 && !settings.darkMode) {
      fillMenuButton = 127;
    }
    if (fillMenuButton > 255 && !settings.darkMode) {
      fillMenuButton = 255;
    }
    
    

    if (mousePressed) {
      if (mouseX < width / 2 && mouseX > width/2-width/2.666666667 && mouseY > height / 2 + 50 && mouseY < height / 2 + 150) {// Bouton Gauche
        isPlayGame = true;
      }
      if (mouseX > width / 2 && mouseY > height / 2 + 50 && mouseY < height / 2 + 150) {// Bouton droit
        isSettings = true;
      }
    }
  textAlign(LEFT);
  textSize(width/32);
  text("meilleur score: " + settings.readHightScore(), 0, height-10);
  }
}
