class SettingsMenu {
  int curSelected = 0;
  boolean needToGoInMenu = false;
  String[] setArray = new String[2];
  int y = 100;
  SettingsJSON settings;

  void draw() {
    y=100;
    settings = new SettingsJSON();
    settings.loadSettings();
    surface.setTitle("Paramètres");
    if (settings.darkMode) {
      background(38, 38, 38);
    } else {
      background(255);
    }
    needToGoInMenu = false;
    if (keyPressed) {
      if (int(key) == 8) {
        needToGoInMenu=true;
      }
    }
    for (int i = 0; i < setArray.length; i++) {
      if (settings.darkMode) {
        if (settings.jaaj.get(i) == 1) {
          fill(0, 255, 0);
        } else {
          fill(150);
        }
        stroke(255);
      } else {
        if (settings.jaaj.get(i) == 1) {
          fill(0, 255, 0);
        } else {
          fill(150);
        }
        stroke(0);
      }
      rect(100, y, 50, 50);
      if (settings.darkMode) {
        fill(255);
        stroke(255);
      } else {
        fill(0);
        stroke(0);
      }
      text(setArray[i], 300, y);
      y+=100;
    }

    if (curSelected >= setArray.length) {
      curSelected = setArray.length-1;
    } else if (curSelected < 0) {
      curSelected = 0;
    }

    noFill();
    stroke(255, 0, 0);
    strokeWeight(5);
    rect(100, (curSelected+1)*100, 51, 51);
  }
}
